SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
CREATE PROCEDURE [dbo].[p_grid_act_banks]
	@bank_id as varchar(15) = '%'
AS

set nocount on

declare @id int 

if @bank_id = '%'
	set @id = 0
else
	set @id = convert(int, @bank_id)

select *
from vw_act_banks
where @id = 0 or act_actor_id = @id
GO
